Subject: bug#41005: problem with rendering Persian text in Emacs 27

From: hossein valizadeh <[email-masked]>
Date: Thu, 4 Jun 2020 07:09:22 +0430

Hello,

1. This happen with every font that supports Arabic.
2. When scale back to zero the problem happen again.

On Wed, Jun 3, 2020 at 10:32 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Nicholas Drozd <[email-masked]>
> > Date: Wed, 3 Jun 2020 12:24:30 -0500
> >
> > Not certain, but this sounds like it could be related to bug#37683
> > [1]. That report was closed because it does not seem to be an EWW
> > problem, but the issue still shows up for me.
> >
> > To recap, the problem there is that Arabic script letters, which are
> > typically joined together in a cursive style, show up separated and
> > unconnected, if and only if text scaling is at zero. If the text is
> > made larger or smaller, the text becomes properly joined. This leads
> > me to suspect that it is not a Harfbuzz issue, because the text is
> > displayed correctly under some conditions but not under others.
>
> It happens to you with any font that supports Arabic, or just with
> some?
>
> And if you change the scale, then change it back to zero, does the
> problem happen again, or does it only happen when you look at some
> text for the first time?
>